package com.kingdee.eas.custom.interfacelog.businessoperationlog;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class OperateLogEntryFactory
{
    private OperateLogEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("DFD2AE3F") ,com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry.class);
    }
    
    public static com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("DFD2AE3F") ,com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("DFD2AE3F"));
    }
    public static com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLogEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("DFD2AE3F"));
    }
}